#ifndef XSCRIPTSTRINGLIST_H
#define XSCRIPTSTRINGLIST_H

#include "xasset.h"
#include "xstring.h"

#include <QStringList>

class XScriptStringList : public XAsset
{
public:
    explicit XScriptStringList();

    virtual int Size();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;
    virtual void ParsePtr(XDataStream *aStream, bool aDataFlag = true) override;

private:
    int mCount;
    QVector<XString> mScriptStrings;
};

#endif // XSCRIPTSTRINGLIST_H
